#
# spec file for package python-pyhcl
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pyhcl
Version:        0.4.5
Release:        1.4
Summary:        HCL configuration parser for python
License:        MPL-2.0
URL:            https://github.com/virtuald/pyhcl
Source:         https://files.pythonhosted.org/packages/source/p/pyhcl/pyhcl-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
Requires(post): update-alternatives
Requires(postun):update-alternatives
%python_subpackages

%description
HCL configuration parser for python

%prep
%setup -q -n pyhcl-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%python_clone -a %{buildroot}%{_bindir}/hcltool

%check
%pytest

%post
%python_install_alternative hcltool

%postun
%python_uninstall_alternative hcltool

%files %{python_files}
%doc CHANGELOG.md README.rst
%license LICENSE
%python_alternative %{_bindir}/hcltool
%{python_sitelib}/*

%changelog
* Thu Dec 14 2023 Dirk Müller <dmueller@suse.com>
- update to 0.4.5:
  * Python 3.12 support
* Tue Jan 19 2021 Steve Kowalik <steven.kowalik@suse.com>
- Switch from python3_only to python_alternative for hcltool.
* Fri Aug  7 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 0.4.4
  * Update YACC parser to latest, allow lists within lists
  * Remove unused COMMAEND token
* Wed Apr  8 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.4.2:
  * no changelog
- Run tests and add missing dependencies
* Wed Jan  8 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.4.0
